Developers
V1RewardsCampaigns

Published signup, free product/service and discount campaigns with your own claim status when signed in

One claim per account and campaign, not one per person. No health, step or IC data is required. Nothing is published by default.

GET
/v1/rewards/campaigns

Response Body

application/json

curl -X GET "https://example.com/v1/rewards/campaigns"
{  "campaigns": [    {      "kind": "product",      "eligibility": "signup",      "signupWithinDays": 30,      "benefit": {        "type": "free"      },      "exclusions": "",      "outletIds": [],      "catalogItemId": null,      "redemptionOutlets": [],      "catalogItemTitle": null,      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "merchantTenantId": "6f45c064-68ad-43e0-92dc-fa8655333cff",      "eventId": "d6703cc8-9e79-415d-ac03-a4dc7f6ab43c",      "title": "string",      "summary": "string",      "rules": "string",      "deliveryKind": "physical_gift",      "startsAt": "2019-08-24T14:15:22Z",      "endsAt": "2019-08-24T14:15:22Z",      "redeemBy": "2019-08-24T14:15:22Z",      "timezone": "string",      "reservationTtlSeconds": 1,      "requiresVerifiedIdentity": true,      "imagePath": "string",      "claimPolicy": "per_merchant",      "claimRestricted": true,      "eligibilityRestricted": true,      "merchantName": "string",      "limitBasis": "account",      "availableStock": 0,      "availability": "upcoming",      "ownClaim": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "campaignId": "13f8bf6d-dc27-4a04-bffe-6e5b13c19ddf",        "deliveryKind": "physical_gift",        "status": "reserved",        "reservedAt": "2019-08-24T14:15:22Z",        "expiresAt": "2019-08-24T14:15:22Z",        "redeemedAt": "2019-08-24T14:15:22Z"      }    }  ]}